Logica

## Class Gestion

- java.lang.Object
- - Logica.Gestion

All Implemented Interfaces:
  java.io.Serializable

    public class Gestion
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Gestion(java.lang.String nombre, boolean isPositivo)` Constructor principal de gestion

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `alterarVisibilidad(int elemento)` Permite alterar la visibilidad de un elemento
`void` `aniadirGasto(Transaccion transaccion)` Aniade una transaccion a la gestion
`void` `eliminarTransaccion(java.lang.String transaccion)` Elimina una transaccion
`boolean` `esIngreso()` Devuelve verdadero si es un ingerso y falso si es un gasto
`java.util.Vector<Transaccion>` `getElementos()` Devuelve todas las transacciones que tiene
`java.lang.String` `getNombre()` Devuelve el nombre de la gestion
`float` `getSuma()` Devuelve la suma (sin tener e cuenta si es gasto o ingreso) de la gestion
`float` `getTotal()` Devuelve la suma de todos sus datos, esta vez teniendo en cuenta si debe sumar o restar
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Gestion

    public Gestion(java.lang.String nombre,
                   boolean isPositivo)

Constructor principal de gestion

Parameters:
  `nombre` - nombre de la gestion
  `isPositivo` - si es verdadero la gestion sera de beneficios, si es falsa sera de gastos

### Method Detail

#### getNombre

    public java.lang.String getNombre()

Devuelve el nombre de la gestion

Returns:
  nombre de la gestion

#### aniadirGasto

    public void aniadirGasto(Transaccion transaccion)

Aniade una transaccion a la gestion

Parameters:
  `transaccion` - transaccion que sera aniadida a la gestion

#### getSuma

    public float getSuma()

Devuelve la suma (sin tener e cuenta si es gasto o ingreso) de la gestion

Returns:
  suma de las transacciones de la gestion

#### getTotal

    public float getTotal()

Devuelve la suma de todos sus datos, esta vez teniendo en cuenta si debe sumar o restar

Returns:
  suma correcta de los datos

#### getElementos

    public java.util.Vector<Transaccion> getElementos()

Devuelve todas las transacciones que tiene

Returns:
  Transacciones que contiene

#### eliminarTransaccion

    public void eliminarTransaccion(java.lang.String transaccion)

Elimina una transaccion

Parameters:
  `transaccion` - transaccion a eliminar

#### esIngreso

    public boolean esIngreso()

Devuelve verdadero si es un ingerso y falso si es un gasto

Returns:
  verdadero si es ingersos y falso si sin gastos

#### alterarVisibilidad

    public void alterarVisibilidad(int elemento)

Permite alterar la visibilidad de un elemento

Parameters:
  `elemento` - indice del elemento a alterar

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`